// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: interconnectionmodule/interconnectionmodule.proto

package openfmb.interconnectionmodule;

public interface InterconnectionControlScheduleFSCHOrBuilder extends
    // @@protoc_insertion_point(interface_extends:interconnectionmodule.InterconnectionControlScheduleFSCH)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Discrete value in InterconnectionCSG type
   * </pre>
   *
   * <code>.interconnectionmodule.InterconnectionCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the valDCSG field is set.
   */
  boolean hasValDCSG();
  /**
   * <pre>
   * Discrete value in InterconnectionCSG type
   * </pre>
   *
   * <code>.interconnectionmodule.InterconnectionCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The valDCSG.
   */
  openfmb.interconnectionmodule.InterconnectionCSG getValDCSG();
  /**
   * <pre>
   * Discrete value in InterconnectionCSG type
   * </pre>
   *
   * <code>.interconnectionmodule.InterconnectionCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.interconnectionmodule.InterconnectionCSGOrBuilder getValDCSGOrBuilder();
}
